-- 
-- Database: `angryfly_swat`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `swat_messages`
-- 

DROP TABLE IF EXISTS `swat_messages`;
CREATE TABLE `swat_messages` (
  `messageid` int(8) NOT NULL auto_increment,
  `message` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`messageid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `swat_messages`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `swat_players`
-- 

DROP TABLE IF EXISTS `swat_players`;
CREATE TABLE `swat_players` (
  `id` int(20) NOT NULL auto_increment,
  `playerid` int(10) NOT NULL default '0',
  `name` varchar(64) NOT NULL default '',
  `steamid` varchar(64) NOT NULL default '',
  `game` varchar(16) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

-- 
-- Table structure for table `swat_servers`
-- 

DROP TABLE IF EXISTS `swat_servers`;
CREATE TABLE `swat_servers` (
  `serverid` int(8) NOT NULL auto_increment,
  `servername` varchar(255) NOT NULL default '',
  `ip_address` varchar(15) NOT NULL default '',
  `port` varchar(10) NOT NULL default '',
  `game` varchar(100) NOT NULL default '',
  `rcon_pw` varchar(20) default NULL,
  PRIMARY KEY  (`serverid`)
) TYPE=MyISAM AUTO_INCREMENT=18 ;


-- --------------------------------------------------------

-- 
-- Table structure for table `swat_steam_bans`
-- 

DROP TABLE IF EXISTS `swat_steam_bans`;
CREATE TABLE `swat_steam_bans` (
  `steambanid` int(10) NOT NULL auto_increment,
  `steamid` varchar(30) NOT NULL default '',
  `name` varchar(50) default NULL,
  `userid` varchar(30) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `date_time` timestamp(14) NOT NULL,
  PRIMARY KEY  (`steambanid`)
) TYPE=MyISAM AUTO_INCREMENT=52 ;


-- --------------------------------------------------------

-- 
-- Table structure for table `swat_temp_bans`
-- 

DROP TABLE IF EXISTS `swat_temp_bans`;
CREATE TABLE `swat_temp_bans` (
  `tempbanid` int(10) NOT NULL auto_increment,
  `playername` varchar(30) default NULL,
  `user` varchar(30) default NULL,
  `duration` int(2) default NULL,
  `date_time` timestamp(14) NOT NULL,
  `reason` varchar(255) default NULL,
  PRIMARY KEY  (`tempbanid`)
) TYPE=MyISAM AUTO_INCREMENT=49 ;


-- --------------------------------------------------------

-- 
-- Table structure for table `swat_users`
-- 

DROP TABLE IF EXISTS `swat_users`;
CREATE TABLE `swat_users` (
  `userid` int(8) NOT NULL auto_increment,
  `username` varchar(20) NOT NULL default '',
  `password` varchar(10) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `userlevel` int(11) default NULL,
  PRIMARY KEY  (`userid`)
) TYPE=MyISAM AUTO_INCREMENT=12 ;

