<?php session_start(); ?>
<?php if (@$_SESSION["enigma_status"] <> "login") header("Location: index.php") ?>
<?php 

// user levels
define("ewAllowAdd", 1, true);
define("ewAllowDelete", 2, true);
define("ewAllowEdit", 4, true);
define("ewAllowView", 8, true);
define("ewAllowList", 8, true);
define("ewAllowSearch", 8, true);
define("ewAllowAdmin", 16, true);
$ew_SecTable[0] = 15;
$ew_SecTable[1] = 13;
$ew_SecTable[2] = 8;
$ew_SecTable[3] = 15;
$ew_SecTable[4] = 13;

// get current table security
$ewCurSec = 0; // initialise
$ewCurIdx = intval(@$_SESSION["enigma_status_UserLevel"]);
if ($ewCurIdx == -1) { // system administrator
	$ewCurSec = 31;
} elseif ($ewCurIdx > 0 && $ewCurIdx <= 5) { 
	$ewCurSec = $ew_SecTable[$ewCurIdx-1];
}
?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // always modified
header("Cache-Control: no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false); 
header("Pragma: no-cache"); // HTTP/1.0 
?>
<?php include ("config/config.php") ?>
<?php include ("includes/phpmkrfn.php") ?>
<?php
$displayRecs = 20;
$recRange = 10;
$dbwhere = "";
$masterdetailwhere = "";
$searchwhere = "";
$a_search = "";
$b_search = "";
$whereClause = "";

// get search criteria for advanced search
// field "playerid"

$x_playerid = @$_GET["x_playerid"];
$z_playerid = @$_GET["z_playerid"];
$z_playerid = (get_magic_quotes_gpc()) ? stripslashes($z_playerid) : $z_playerid;
$arrfieldopr = explode(",", $z_playerid);
if ($x_playerid <> "" && count($arrfieldopr) >= 3) {
	$x_playerid = (!get_magic_quotes_gpc()) ? addslashes($x_playerid) : $x_playerid;
	$a_search = $a_search . "`playerid` " . $arrfieldopr[0] . " " . $arrfieldopr[1] . $x_playerid . $arrfieldopr[2] . " AND ";
}

// field "name"
$x_name = @$_GET["x_name"];
$z_name = @$_GET["z_name"];
$z_name = (get_magic_quotes_gpc()) ? stripslashes($z_name) : $z_name;
$arrfieldopr = explode(",", $z_name);
if ($x_name <> "" && count($arrfieldopr) >= 3) {
	$x_name = (!get_magic_quotes_gpc()) ? addslashes($x_name) : $x_name;
	$a_search = $a_search . "`name` " . $arrfieldopr[0] . " " . $arrfieldopr[1] . $x_name . $arrfieldopr[2] . " AND ";
}

// field "steamid"
$x_steamid = @$_GET["x_steamid"];
$z_steamid = @$_GET["z_steamid"];
$z_steamid = (get_magic_quotes_gpc()) ? stripslashes($z_steamid) : $z_steamid;
$arrfieldopr = explode(",", $z_steamid);
if ($x_steamid <> "" && count($arrfieldopr) >= 3) {
	$x_steamid = (!get_magic_quotes_gpc()) ? addslashes($x_steamid) : $x_steamid;
	$a_search = $a_search . "`steamid` " . $arrfieldopr[0] . " " . $arrfieldopr[1] . $x_steamid . $arrfieldopr[2] . " AND ";
}

// field "game"
$x_game = @$_GET["x_game"];
$z_game = @$_GET["z_game"];
$z_game = (get_magic_quotes_gpc()) ? stripslashes($z_game) : $z_game;
$arrfieldopr = explode(",", $z_game);
if ($x_game <> "" && count($arrfieldopr) >= 3) {
	$x_game = (!get_magic_quotes_gpc()) ? addslashes($x_game) : $x_game;
	$a_search = $a_search . "`game` " . $arrfieldopr[0] . " " . $arrfieldopr[1] . $x_game . $arrfieldopr[2] . " AND ";
}
if (strlen($a_search) > 4) {
	$a_search = substr($a_search, 0, strlen($a_search)-4);
}

// get search criteria for basic search
$pSearch = @$_GET["psearch"];
$pSearchType = @$_GET["psearchtype"];
if ($pSearch <> "") {
	$pSearch = str_replace("'", "\'", $pSearch);	
	if ($pSearchType <> "")	{
		while (strpos($pSearch, "  ") > 0) {
			$pSearch = str_Replace("  ", " ",$pSearch);
		}
		$arpSearch = explode(" ", trim($pSearch));
		foreach ($arpSearch as $kw) {
			$b_search .= "(";
			$b_search .= "`name` LIKE '%" . trim($kw) . "%' OR ";
			$b_search .= "`steamid` LIKE '%" . trim($kw) . "%' OR ";
			$b_search .= "`game` LIKE '%" . trim($kw) . "%' OR ";
			if (substr($b_search, -4) == " OR ") {
				$b_search = substr($b_search, 0, strlen($b_search)-4);
			}
			$b_search .= ") " . $pSearchType . " ";
		}
	}	else {
		$b_search .= "`name` LIKE '%" . $pSearch . "%' OR ";
		$b_search .= "`steamid` LIKE '%" . $pSearch . "%' OR ";
		$b_search .= "`game` LIKE '%" . $pSearch . "%' OR ";
	}
}
if (substr($b_search, -4) == " OR ") {
	$b_search = substr($b_search, 0, strlen($b_search)-4);
}
if (substr($b_search, -5) == " AND ") {
	$b_search = substr($b_search, 0, strlen($b_search)-5);
}

// build search criteria
if ($a_search <> "") {
	$searchwhere = $a_search; //advanced search
}	elseIf ($b_search <> "") {
	$searchwhere = $b_search; //basic search
}

// save search criteria
if ($searchwhere <> "") {
	$_SESSION["players_searchwhere"] = $searchwhere;	
	$startRec = 1; //reset start record counter (new search)
	$_SESSION["players_REC"] = $startRec;
}	else {
	$searchwhere = @$_SESSION["players_searchwhere"];
}

// get clear search cmd
if (@$_GET["cmd"] <> "") {
	$cmd = $_GET["cmd"];
	if (strtoupper($cmd) == "RESET") {
		$searchwhere = ""; //reset search criteria
		$_SESSION["players_searchwhere"] = $searchwhere;
	}	elseif (strtoupper($cmd) == "RESETALL") {		
		$searchwhere = ""; //reset search criteria
		$_SESSION["players_searchwhere"] = $searchwhere;
	}	
	$startRec = 1; //reset start record counter (reset command)
	$_SESSION["players_REC"] = $startRec;
}

// build dbwhere
if ($masterdetailwhere <> "" ) {
	$dbwhere .= "(" . $masterdetailwhere . ") AND ";
}
if ($searchwhere <> "" ) {
	$dbwhere .= "(" . $searchwhere . ") AND ";
}
if (strlen($dbwhere) > 5) {
	$dbwhere = substr($dbwhere, 0, strlen($dbwhere)-5); // trim rightmost AND
}

// default order
$DefaultOrder = "";
$DefaultOrderType = "";

// default filter
$DefaultFilter = "";

// check for an Order parameter
$OrderBy = "";
if (@$_GET["order"] <> "") {
	$OrderBy = $_GET["order"];

	// check if an ASC/DESC toggle is required
	if (@$_SESSION["players_OB"] == $OrderBy) {
		if (@$_SESSION["players_OT"] == "ASC") {
			$_SESSION["players_OT"] = "DESC";
		} else {
			$_SESSION["players_OT"] = "ASC";
		}
	} else {
		$_SESSION["players_OT"] = "ASC";
	}
	$_SESSION["players_OB"] = $OrderBy;
	$_SESSION["players_REC"] = 1;
} else {
	$OrderBy = @$_SESSION["players_OB"];
	if ($OrderBy == "") {
		$OrderBy = $DefaultOrder;
		$_SESSION["players_OB"] = $OrderBy;
		$_SESSION["players_OT"] = $DefaultOrderType;
	}
}
$conn = mysql_connect(HOST, USER, PASS);
mysql_select_db(DB);

// build SQL
$strsql = "SELECT * FROM `players`";
if ($DefaultFilter <> "") {
	$whereClause .= "(" . $DefaultFilter . ") AND ";
}
if ($dbwhere <> "" ) {
	$whereClause .= "(" . $dbwhere . ") AND ";
}
if (($ewCurSec & ewAllowList) <> ewAllowList) {
	$whereClause .= "(0=1) AND ";
}
if (substr($whereClause, -5) == " AND ") {
	$whereClause = substr($whereClause, 0, strlen($whereClause)-5);
}
if ($whereClause <> "") {
	$strsql .= " WHERE " . $whereClause;
}
if ($OrderBy <> "") {
	$strsql .= " ORDER BY `" . $OrderBy . "` " . @$_SESSION["players_OT"];
}

//echo $strsql; // comment out this line to view the SQL
$rs = mysql_query($strsql);
$totalRecs = intval(@mysql_num_rows($rs));

// check for a START parameter
if (@$_GET["start"] <> "") {
	$startRec = $_GET["start"];
	$_SESSION["players_REC"] = $startRec;
}	elseif (@$_GET["pageno"] <> "") {
	$pageno = $_GET["pageno"];
	if (is_numeric($pageno)) {
		$startRec = ($pageno - 1)*$displayRecs + 1;
		if ($startRec <= 0) {
			$startRec = 1;
		} elseIf ($startRec >= (($totalRecs-1)/$displayRecs)*$displayRecs+1) {
			$startRec = (($totalRecs-1)/$displayRecs)*$displayRecs + 1;
		}
		$_SESSION["players_REC"] = $startRec;
	} else {
		$startRec = @$_SESSION["players_REC"];
		if (!is_numeric($startRec)) {			
			$startRec = 1; // reset start record counter
			$_SESSION["players_REC"] = $startRec;
		}
	}
}	else {
	$startRec = @$_SESSION["players_REC"];
	if (!is_numeric($startRec)) {		
		$startRec = 1; // reset start record counter
		$_SESSION["players_REC"] = $startRec;
	}
}	
?>
<?php include ("includes/header.php") ?>
<p><span class="phpmaker">TABLE: Players</span></p>
<form action="playerslist.php">
<table border="0" cellspacing="0" cellpadding="4">
	<tr>
		<td><span class="phpmaker">Quick Search (*)</span></td>		
		<td>		
			<input type="text" name="psearch" size="20">
			<input type="Submit" name="Submit" value="GO">		
		&nbsp;&nbsp;<a href="playerslist.php?cmd=reset"><span class="phpmaker">Show all</span></a>
		&nbsp;&nbsp;<a href="playerssrch.php"><span class="phpmaker">Advanced Search</span></a>
		</td>
	</tr>
	<tr><td>&nbsp;</td><td><input type="radio" name="psearchtype" value="" checked><span class="phpmaker">Exact phrase</span>&nbsp;&nbsp;<input type="radio" name="psearchtype" value="AND"><span class="phpmaker">All words</span>&nbsp;&nbsp;<input type="radio" name="psearchtype" value="OR"><span class="phpmaker">Any word</span></td></tr>	
</table>
</form>
<?php
if (($ewCurSec & ewAllowAdd) == ewAllowAdd) {
?>
<p><a href="playersadd.php"><span class="phpmaker">Add</span></a></p>
<?php
}
?>
<?php

// display page numbers
if ($totalRecs > 0) {
	$rsEof = ($totalRecs < ($startRec + $displayRecs));

	// find out if there should be backward or forward Buttons on the table
	if ($startRec == 1)	{
		$isPrev = False;
	} else	{
		$isPrev = True;
		$PrevStart = $startRec - $displayRecs;
		if ($PrevStart < 1) {
			$PrevStart = 1;
		}
?>	
	<a href="playerslist.php?start=<?php echo $PrevStart; ?>"><span class="phpmaker"><b>Prev</span></b></a>
<?php
	}
	if ($isPrev || $totalRecs != 0) {
		$x = 1;
		$y = 1;	
		$dx1 = intval(($startRec-1)/($displayRecs*$recRange))*$displayRecs*$recRange+1;
		$dy1 = intval(($startRec-1)/($displayRecs*$recRange))*$recRange+1;
		if (($dx1+$displayRecs*$recRange-1) > $totalRecs ) {
			$dx2 = intval($totalRecs/$displayRecs)*$displayRecs+1;
			$dy2 = intval($totalRecs/$displayRecs)+1;
		} else {
			$dx2 = $dx1+$displayRecs*$recRange-1;
			$dy2 = $dy1+$recRange-1;
		}
		while ($x <= $totalRecs) {
			if ($x >= $dx1 && $x <= $dx2) {
				if ($startRec == $x) {
?>
	<span class="phpmaker"><b><?php echo $y; ?></b></span>
<?php
				} else {
?>
	<a href="playerslist.php?start=<?php echo $x; ?>"><span class="phpmaker"><b><?php echo $y; ?></b></span></A>
<?php	
				}
				$x = $x + $displayRecs;
				$y = $y + 1;
			} elseif ($x >= ($dx1-$displayRecs*$recRange) && $x <= ($dx2+$displayRecs*$recRange)) {
				if ($x+$recRange*$displayRecs < $totalRecs) {
?>
	<a href="playerslist.php?start=<?php echo $x;?>"><span class="phpmaker"><b><?php echo $y; ?>-<?php echo $y+$recRange-1; ?></b></span></a>
<?php 
				} else {
					$ny = intval(($totalRecs-1)/$displayRecs) + 1;
					if ($ny == $y) {
?>
	<a href="playerslist.php?start=<?php echo $x; ?>"><span class="phpmaker"><b><?php echo $y; ?></b></span></a>
<?php 
					} else {
?>
	<a href="playerslist.php?start=<?php echo $x; ?>"><span class="phpmaker"><b><?php echo $y; ?>-<?php echo $ny; ?></b></span></a>
<?php	
					}
				}
				$x = $x + $recRange*$displayRecs;
				$y = $y + $recRange;
			} else {
				$x = $x + $recRange*$displayRecs;
				$y = $y + $recRange;
			}
		}
	}

	// next link
  if ($totalRecs >= $startRec + $displayRecs) {
		$NextStart = $startRec + $displayRecs;
		$isMore = True
?>
	<a href="playerslist.php?start=<?php echo $NextStart; ?>"><span class="phpmaker"><b>Next</b></span></a>
<?php 
	} else {
		$isMore = False;
	}	
?>
	<br>	
<?php 
	if ($startRec > $totalRecs) {
		$startRec = $totalRecs;
	}
	$stopRec = $startRec + $displayRecs - 1;
	$recCount = $totalRecs - 1;
	if ($rsEof) {
		$recCount = $totalRecs;
	}
	if ($stopRec > $recCount) {
		$stopRec = $recCount;
	}
?>
	<span class="phpmaker"> Records <?php echo $startRec;  ?> to <?php echo $stopRec; ?> of <?php echo $totalRecs; ?></span>
<?php 
} else {
?>
<?php 
	if (($ewCurSec & ewAllowList) == ewAllowList)	{
?>
	<span class="phpmaker">No records found</span>
<?php 
	} else {
?>
	<span class="phpmaker">No Permission</span>
<?php 
	}
?>
<?php 
}
?>
<br>
<form method="post">
<table class="ewTable">
	<tr class="ewTableHeader">
<td><a href="playerslist.php?order=<?php echo urlencode("playerid");?>">PlayerID&nbsp;<?php if ($OrderBy == "playerid") { ?><span class="ewTableOrderIndicator"><?php echo (@$_SESSION["players_OT"] == "ASC") ? 5 : ((@$_SESSION["players_OT"] == "DESC") ? 6 : "") ?></span><?php } ?></a>
		</td>
<td><a href="playerslist.php?order=<?php echo urlencode("name");?>">Name&nbsp;(*)<?php if ($OrderBy == "name") { ?><span class="ewTableOrderIndicator"><?php echo (@$_SESSION["players_OT"] == "ASC") ? 5 : ((@$_SESSION["players_OT"] == "DESC") ? 6 : "") ?></span><?php } ?></a>
		</td>
<td><a href="playerslist.php?order=<?php echo urlencode("steamid");?>">SteamID&nbsp;(*)<?php if ($OrderBy == "steamid") { ?><span class="ewTableOrderIndicator"><?php echo (@$_SESSION["players_OT"] == "ASC") ? 5 : ((@$_SESSION["players_OT"] == "DESC") ? 6 : "") ?></span><?php } ?></a>
		</td>
<td><a href="playerslist.php?order=<?php echo urlencode("game");?>">Game&nbsp;(*)<?php if ($OrderBy == "game") { ?><span class="ewTableOrderIndicator"><?php echo (@$_SESSION["players_OT"] == "ASC") ? 5 : ((@$_SESSION["players_OT"] == "DESC") ? 6 : "") ?></span><?php } ?></a>
		</td>
<?php If (($ewCurSec & ewAllowView) == ewAllowView) { ?>
<td>&nbsp;</td>
<?php } ?>
<td>&nbsp;</td>
</tr>
<?php

// avoid starting record > total records
if ($startRec > $totalRecs) {
	$startRec = $totalRecs;
}

// set the last record to display
$stopRec = $startRec + $displayRecs - 1;
$recCount = $startRec - 1;

// move to the first record
@mysql_data_seek($rs, $recCount);
$recActual = 0;
while (($row = @mysql_fetch_array($rs)) && ($recCount < $stopRec)) {
	$recCount++;	
	if ($recCount >= $startRec)	{
		$recActual++;	
			$rowclass = "ewTableRow"; // row class
		if (($recCount % 2) <> 0)	{ // display alternate color for rows
				$rowclass = "ewTableAltRow"; 
		}

		// load key for record
		$key = @$row["id"];
		$x_id = @$row["id"];
		$x_playerid = @$row["playerid"];
		$x_name = @$row["name"];
		$x_steamid = @$row["steamid"];
		$x_game = @$row["game"];
?>
	<tr class="<?php echo $rowclass; ?>">
		<td><?php echo $x_playerid; ?>&nbsp;</td>
		<td><?php echo $x_name; ?>&nbsp;</td>
		<td><?php echo $x_steamid; ?>&nbsp;</td>
		<td><?php echo $x_game; ?>&nbsp;</td>
<?php If (($ewCurSec & ewAllowView) == ewAllowView) { ?>
<td><a href="<?php echo (!is_null(@$row["id"])) ? "playersview.php?key=".urlencode($row["id"]) : "javascript:alert('Invalid Record! Key is null');";	?>
"><span class="phpmaker">View</span></a></td>
<?php } ?>

<td><a href="<?php echo (!is_null(@$row["id"])) ? "steam_bansadd.php?x_steamid=".urlencode($row["steamid"]) : "javascript:alert('Invalid Record! Key is null');";	?>
"><span class="phpmaker">Ban Player</span></a></td>

</tr>
<?php
	}
}
?>
</table>
</form>
<?php

// close connection
@mysql_free_result($rs);
mysql_close($conn);
?>
<?php include ("includes/footer.php") ?>
