<?php session_start(); ?>
<?php if (@$_SESSION["enigma_status"] <> "login") header("Location: index.php") ?>
<?php 

// user levels
define("ewAllowAdd", 1, true);
define("ewAllowDelete", 2, true);
define("ewAllowEdit", 4, true);
define("ewAllowView", 8, true);
define("ewAllowList", 8, true);
define("ewAllowSearch", 8, true);
define("ewAllowAdmin", 16, true);
$ew_SecTable[0] = 15;
$ew_SecTable[1] = 0;
$ew_SecTable[2] = 0;
$ew_SecTable[3] = 15;
$ew_SecTable[4] = 13;

// get current table security
$ewCurSec = 0; // initialise
$ewCurIdx = intval(@$_SESSION["enigma_status_UserLevel"]);
if ($ewCurIdx == -1) { // system administrator
	$ewCurSec = 31;
} elseif ($ewCurIdx > 0 && $ewCurIdx <= 5) { 
	$ewCurSec = $ew_SecTable[$ewCurIdx-1];
}
if (($ewCurSec & ewAllowsearch) <> ewAllowsearch) header("Location: userslist.php");
?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // always modified
header("Cache-Control: no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false); 
header("Pragma: no-cache"); // HTTP/1.0 
?>
<?php include ("config/config.php") ?>
<?php include ("includes/phpmkrfn.php") ?>
<?php

//get action
$a = @$_POST["a"];
switch ($a) {
	case "S": // get search criteria

	// build search criteria for advanced search, remove blank field
	$search_criteria = "";

	// field "userid"
	$x_userid = @$_POST["x_userid"];
	$z_userid = @$_POST["z_userid"];
	if (is_array($x_userid)) $x_userid = implode(",", $x_userid);
	$x_userid = (get_magic_quotes_gpc() ? stripslashes($x_userid) : $x_userid);
	$z_userid = implode(",", $z_userid);
	$z_userid = (get_magic_quotes_gpc() ? stripslashes($z_userid) : $z_userid);
	if ($x_userid <> "") {
		$srchFld = $x_userid;
		$this_search_criteria = "x_userid=" . urlencode($srchFld);
		$this_search_criteria .= "&z_userid=" . urlencode($z_userid);
	} else {
		$this_search_criteria = "";
	}
	if ($this_search_criteria <> "" ) {
		if ($search_criteria == "") {
			$search_criteria = $this_search_criteria;
		} else {
			$search_criteria .= "&" . $this_search_criteria;
		}
	}

	// field "username"
	$x_username = @$_POST["x_username"];
	$z_username = @$_POST["z_username"];
	if (is_array($x_username)) $x_username = implode(",", $x_username);
	$x_username = (get_magic_quotes_gpc() ? stripslashes($x_username) : $x_username);
	$z_username = implode(",", $z_username);
	$z_username = (get_magic_quotes_gpc() ? stripslashes($z_username) : $z_username);
	if ($x_username <> "") {
		$srchFld = $x_username;
		$this_search_criteria = "x_username=" . urlencode($srchFld);
		$this_search_criteria .= "&z_username=" . urlencode($z_username);
	} else {
		$this_search_criteria = "";
	}
	if ($this_search_criteria <> "" ) {
		if ($search_criteria == "") {
			$search_criteria = $this_search_criteria;
		} else {
			$search_criteria .= "&" . $this_search_criteria;
		}
	}

	// field "password"
	$x_password = @$_POST["x_password"];
	$z_password = @$_POST["z_password"];
	if (is_array($x_password)) $x_password = implode(",", $x_password);
	$x_password = (get_magic_quotes_gpc() ? stripslashes($x_password) : $x_password);
	$z_password = implode(",", $z_password);
	$z_password = (get_magic_quotes_gpc() ? stripslashes($z_password) : $z_password);
	if ($x_password <> "") {
		$srchFld = $x_password;
		$this_search_criteria = "x_password=" . urlencode($srchFld);
		$this_search_criteria .= "&z_password=" . urlencode($z_password);
	} else {
		$this_search_criteria = "";
	}
	if ($this_search_criteria <> "" ) {
		if ($search_criteria == "") {
			$search_criteria = $this_search_criteria;
		} else {
			$search_criteria .= "&" . $this_search_criteria;
		}
	}

	// field "email"
	$x_email = @$_POST["x_email"];
	$z_email = @$_POST["z_email"];
	if (is_array($x_email)) $x_email = implode(",", $x_email);
	$x_email = (get_magic_quotes_gpc() ? stripslashes($x_email) : $x_email);
	$z_email = implode(",", $z_email);
	$z_email = (get_magic_quotes_gpc() ? stripslashes($z_email) : $z_email);
	if ($x_email <> "") {
		$srchFld = $x_email;
		$this_search_criteria = "x_email=" . urlencode($srchFld);
		$this_search_criteria .= "&z_email=" . urlencode($z_email);
	} else {
		$this_search_criteria = "";
	}
	if ($this_search_criteria <> "" ) {
		if ($search_criteria == "") {
			$search_criteria = $this_search_criteria;
		} else {
			$search_criteria .= "&" . $this_search_criteria;
		}
	}

	// field "userlevel"
	$x_userlevel = @$_POST["x_userlevel"];
	$z_userlevel = @$_POST["z_userlevel"];
	if (is_array($x_userlevel)) $x_userlevel = implode(",", $x_userlevel);
	$x_userlevel = (get_magic_quotes_gpc() ? stripslashes($x_userlevel) : $x_userlevel);
	$z_userlevel = implode(",", $z_userlevel);
	$z_userlevel = (get_magic_quotes_gpc() ? stripslashes($z_userlevel) : $z_userlevel);
	if ($x_userlevel <> "") {
		$srchFld = $x_userlevel;
		$this_search_criteria = "x_userlevel=" . urlencode($srchFld);
		$this_search_criteria .= "&z_userlevel=" . urlencode($z_userlevel);
	} else {
		$this_search_criteria = "";
	}
	if ($this_search_criteria <> "" ) {
		if ($search_criteria == "") {
			$search_criteria = $this_search_criteria;
		} else {
			$search_criteria .= "&" . $this_search_criteria;
		}
	}
		if ($search_criteria <> "") {
			header("Location: userslist.php" . "?" . $search_criteria);
		}
		break;
}

// open connection to the database
$conn = mysql_connect(HOST, USER, PASS);
mysql_select_db(DB);
?>
<?php include ("includes/header.php") ?>
<p><span class="phpmaker">Search TABLE: Enigma Users<br><br><a href="userslist.php">Back to List</a></span></a></p>
<script language="JavaScript" src="ew.js"></script>
<script language="JavaScript">
<!-- start Javascript
function  EW_checkMyForm(EW_this) {
if (EW_this.x_userid && !EW_checkinteger(EW_this.x_userid.value)) {
        if (!EW_onError(EW_this, EW_this.x_userid, "TEXT", "Incorrect integer - UserID"))
            return false; 
        }
return true;
}

// end JavaScript -->
</script>
<form onSubmit="return EW_checkMyForm(this);"  action="userssrch.php" method="post">
<p>
<input type="hidden" name="a" value="S">
<table class="ewTable">
<tr>
		<td class="ewTableHeader">UserID&nbsp;</td>
		<td class="ewTableAltRow">
<input type="hidden" name="z_userid[]" value="=,,">=
&nbsp;</td>
		<td class="ewTableAltRow"><input type="text" name="x_userid" value="<?php echo htmlspecialchars(@$x_userid); ?>">&nbsp;</td>
</tr>
<tr>
		<td class="ewTableHeader">Username&nbsp;</td>
		<td class="ewTableAltRow">
<input type="hidden" name="z_username[]" value="LIKE,'%,%'">LIKE
&nbsp;</td>
		<td class="ewTableAltRow"><input type="text" name="x_username" size="30" maxlength="20" value="<?php echo htmlspecialchars(@$x_username); ?>">&nbsp;</td>
</tr>
<tr>
		<td class="ewTableHeader">Password&nbsp;</td>
		<td class="ewTableAltRow">
<input type="hidden" name="z_password[]" value="LIKE,'%,%'">LIKE
&nbsp;</td>
		<td class="ewTableAltRow"><input type="text" name="x_password" size="30" maxlength="10" value="<?php echo htmlspecialchars(@$x_password); ?>">&nbsp;</td>
</tr>
<tr>
		<td class="ewTableHeader">Email&nbsp;</td>
		<td class="ewTableAltRow">
<input type="hidden" name="z_email[]" value="LIKE,'%,%'">LIKE
&nbsp;</td>
		<td class="ewTableAltRow"><input type="text" name="x_email" size="30" maxlength="100" value="<?php echo htmlspecialchars(@$x_email); ?>">&nbsp;</td>
</tr>
<tr>
		<td class="ewTableHeader">Userlevel&nbsp;</td>
		<td class="ewTableAltRow">
<input type="hidden" name="z_userlevel[]" value="=,,">=
&nbsp;</td>
		<td class="ewTableAltRow"><?php if (($ewCurSec & ewAllowAdmin) == ewAllowAdmin) { // system admin ?>
<?php
$x_userlevelList = "<select name=\"x_userlevel\"><option value=\"\">Please Select</option>";
$x_userlevelList .= "<option value=\"" . htmlspecialchars("1") . "\"";
if (@$x_userlevel == "1") {
	$x_userlevelList .= " selected";
}
$x_userlevelList .= ">" . "SuperAdmin" . "</option>";
$x_userlevelList .= "<option value=\"" . htmlspecialchars("2") . "\"";
if (@$x_userlevel == "2") {
	$x_userlevelList .= " selected";
}
$x_userlevelList .= ">" . "Admin" . "</option>";
$x_userlevelList .= "<option value=\"" . htmlspecialchars("3") . "\"";
if (@$x_userlevel == "3") {
	$x_userlevelList .= " selected";
}
$x_userlevelList .= ">" . "Member" . "</option>";
$x_userlevelList .= "</select>";
echo $x_userlevelList;
?>
<?php } else { ?>
********
<?php } ?>
&nbsp;</td>
</tr>
</table>
<p>
<input type="submit" name="Action" value="Search">
</form>
<?php include ("includes/footer.php") ?>
<?php
mysql_close($conn);
?>
