<?php session_start(); ?>
<?php if (@$_SESSION["enigma_status"] <> "login") header("Location: index.php") ?>
<?php 

// user levels
define("ewAllowAdd", 1, true);
define("ewAllowDelete", 2, true);
define("ewAllowEdit", 4, true);
define("ewAllowView", 8, true);
define("ewAllowList", 8, true);
define("ewAllowSearch", 8, true);
define("ewAllowAdmin", 16, true);
$ew_SecTable[0] = 8;
$ew_SecTable[1] = 8;
$ew_SecTable[2] = 8;

// get current table security
$ewCurSec = 0; // initialise
$ewCurIdx = intval(@$_SESSION["enigma_status_UserLevel"]);
if ($ewCurIdx == -1) { // system administrator
	$ewCurSec = 31;
} elseif ($ewCurIdx > 0 && $ewCurIdx <= 3) { 
	$ewCurSec = $ew_SecTable[$ewCurIdx-1];
}
if (($ewCurSec & ewAllowsearch) <> ewAllowsearch) header("Location: temp_banslist.php");
?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // always modified
header("Cache-Control: no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false); 
header("Pragma: no-cache"); // HTTP/1.0 
?>
<?php include ("config/config.php") ?>
<?php include ("includes/phpmkrfn.php") ?>
<?php

//get action
$a = @$_POST["a"];
switch ($a) {
	case "S": // get search criteria

	// build search criteria for advanced search, remove blank field
	$search_criteria = "";

	// field "tempbanid"
	$x_tempbanid = @$_POST["x_tempbanid"];
	$z_tempbanid = @$_POST["z_tempbanid"];
	if (is_array($x_tempbanid)) $x_tempbanid = implode(",", $x_tempbanid);
	$x_tempbanid = (get_magic_quotes_gpc() ? stripslashes($x_tempbanid) : $x_tempbanid);
	$z_tempbanid = implode(",", $z_tempbanid);
	$z_tempbanid = (get_magic_quotes_gpc() ? stripslashes($z_tempbanid) : $z_tempbanid);
	if ($x_tempbanid <> "") {
		$srchFld = $x_tempbanid;
		$this_search_criteria = "x_tempbanid=" . urlencode($srchFld);
		$this_search_criteria .= "&z_tempbanid=" . urlencode($z_tempbanid);
	} else {
		$this_search_criteria = "";
	}
	if ($this_search_criteria <> "" ) {
		if ($search_criteria == "") {
			$search_criteria = $this_search_criteria;
		} else {
			$search_criteria .= "&" . $this_search_criteria;
		}
	}

	// field "user"
	$x_user = @$_POST["x_user"];
	$z_user = @$_POST["z_user"];
	if (is_array($x_user)) $x_user = implode(",", $x_user);
	$x_user = (get_magic_quotes_gpc() ? stripslashes($x_user) : $x_user);
	$z_user = implode(",", $z_user);
	$z_user = (get_magic_quotes_gpc() ? stripslashes($z_user) : $z_user);
	if ($x_user <> "") {
		$srchFld = $x_user;
		$this_search_criteria = "x_user=" . urlencode($srchFld);
		$this_search_criteria .= "&z_user=" . urlencode($z_user);
	} else {
		$this_search_criteria = "";
	}
	if ($this_search_criteria <> "" ) {
		if ($search_criteria == "") {
			$search_criteria = $this_search_criteria;
		} else {
			$search_criteria .= "&" . $this_search_criteria;
		}
	}

	// field "duration"
	$x_duration = @$_POST["x_duration"];
	$z_duration = @$_POST["z_duration"];
	if (is_array($x_duration)) $x_duration = implode(",", $x_duration);
	$x_duration = (get_magic_quotes_gpc() ? stripslashes($x_duration) : $x_duration);
	$z_duration = implode(",", $z_duration);
	$z_duration = (get_magic_quotes_gpc() ? stripslashes($z_duration) : $z_duration);
	if ($x_duration <> "") {
		$srchFld = $x_duration;
		$this_search_criteria = "x_duration=" . urlencode($srchFld);
		$this_search_criteria .= "&z_duration=" . urlencode($z_duration);
	} else {
		$this_search_criteria = "";
	}
	if ($this_search_criteria <> "" ) {
		if ($search_criteria == "") {
			$search_criteria = $this_search_criteria;
		} else {
			$search_criteria .= "&" . $this_search_criteria;
		}
	}

	// field "date_time"
	$x_date_time = @$_POST["x_date_time"];
	$z_date_time = @$_POST["z_date_time"];
	if (is_array($x_date_time)) $x_date_time = implode(",", $x_date_time);
	$x_date_time = (get_magic_quotes_gpc() ? stripslashes($x_date_time) : $x_date_time);
	$z_date_time = implode(",", $z_date_time);
	$z_date_time = (get_magic_quotes_gpc() ? stripslashes($z_date_time) : $z_date_time);
	if ($x_date_time <> "") {
		$srchFld = $x_date_time;
		$srchFld = ConvertDateToMysqlFormat($srchFld,6);
		$this_search_criteria = "x_date_time=" . urlencode($srchFld);
		$this_search_criteria .= "&z_date_time=" . urlencode($z_date_time);
	} else {
		$this_search_criteria = "";
	}
	if ($this_search_criteria <> "" ) {
		if ($search_criteria == "") {
			$search_criteria = $this_search_criteria;
		} else {
			$search_criteria .= "&" . $this_search_criteria;
		}
	}

	// field "reason"
	$x_reason = @$_POST["x_reason"];
	$z_reason = @$_POST["z_reason"];
	if (is_array($x_reason)) $x_reason = implode(",", $x_reason);
	$x_reason = (get_magic_quotes_gpc() ? stripslashes($x_reason) : $x_reason);
	$z_reason = implode(",", $z_reason);
	$z_reason = (get_magic_quotes_gpc() ? stripslashes($z_reason) : $z_reason);
	if ($x_reason <> "") {
		$srchFld = $x_reason;
		$this_search_criteria = "x_reason=" . urlencode($srchFld);
		$this_search_criteria .= "&z_reason=" . urlencode($z_reason);
	} else {
		$this_search_criteria = "";
	}
	if ($this_search_criteria <> "" ) {
		if ($search_criteria == "") {
			$search_criteria = $this_search_criteria;
		} else {
			$search_criteria .= "&" . $this_search_criteria;
		}
	}

	// field "playername"
	$x_playername = @$_POST["x_playername"];
	$z_playername = @$_POST["z_playername"];
	if (is_array($x_playername)) $x_playername = implode(",", $x_playername);
	$x_playername = (get_magic_quotes_gpc() ? stripslashes($x_playername) : $x_playername);
	$z_playername = implode(",", $z_playername);
	$z_playername = (get_magic_quotes_gpc() ? stripslashes($z_playername) : $z_playername);
	if ($x_playername <> "") {
		$srchFld = $x_playername;
		$this_search_criteria = "x_playername=" . urlencode($srchFld);
		$this_search_criteria .= "&z_playername=" . urlencode($z_playername);
	} else {
		$this_search_criteria = "";
	}
	if ($this_search_criteria <> "" ) {
		if ($search_criteria == "") {
			$search_criteria = $this_search_criteria;
		} else {
			$search_criteria .= "&" . $this_search_criteria;
		}
	}
		if ($search_criteria <> "") {
			header("Location: temp_banslist.php" . "?" . $search_criteria);
		}
		break;
}

// open connection to the database
$conn = mysql_connect(HOST, USER, PASS);
mysql_select_db(DB);
?>
<?php include ("includes/header.php") ?>
<p><span class="phpmaker">Search TABLE: Kick Log<br><br><a href="temp_banslist.php">Back to List</a></span></a></p>
<script language="JavaScript" src="ew.js"></script>
<script language="JavaScript">
<!-- start Javascript
function  EW_checkMyForm(EW_this) {
if (EW_this.x_tempbanid && !EW_checkinteger(EW_this.x_tempbanid.value)) {
        if (!EW_onError(EW_this, EW_this.x_tempbanid, "TEXT", "Incorrect integer - KickID"))
            return false; 
        }
if (EW_this.x_duration && !EW_checkinteger(EW_this.x_duration.value)) {
        if (!EW_onError(EW_this, EW_this.x_duration, "TEXT", "Incorrect integer - Duration"))
            return false; 
        }
if (!EW_checkusdate(EW_this.x_date_time.value)) {
        if (!EW_onError(EW_this, EW_this.x_date_time, "TEXT", "Incorrect date (mm/dd/yyyy) - Date/Time"))
            return false; 
        }
return true;
}

// end JavaScript -->
</script>
<form onSubmit="return EW_checkMyForm(this);"  action="temp_banssrch.php" method="post">
<p>
<input type="hidden" name="a" value="S">
<table class="ewTable">
<tr>
		<td class="ewTableHeader">KickID&nbsp;</td>
		<td class="ewTableAltRow">
<input type="hidden" name="z_tempbanid[]" value="=,,">=
&nbsp;</td>
		<td class="ewTableAltRow"><input type="text" name="x_tempbanid" value="<?php echo htmlspecialchars(@$x_tempbanid); ?>">&nbsp;</td>
</tr>
<tr>
		<td class="ewTableHeader">User&nbsp;</td>
		<td class="ewTableAltRow">
<input type="hidden" name="z_user[]" value="LIKE,'%,%'">LIKE
&nbsp;</td>
		<td class="ewTableAltRow"><input type="text" name="x_user" size="30" maxlength="30" value="<?php echo htmlspecialchars(@$x_user); ?>">&nbsp;</td>
</tr>
<tr>
		<td class="ewTableHeader">Duration&nbsp;</td>
		<td class="ewTableAltRow">
<input type="hidden" name="z_duration[]" value="=,,">=
&nbsp;</td>
		<td class="ewTableAltRow"><input type="text" name="x_duration" size="30" value="<?php echo htmlspecialchars(@$x_duration); ?>">&nbsp;</td>
</tr>
<tr>
		<td class="ewTableHeader">Date/Time&nbsp;</td>
		<td class="ewTableAltRow">
<input type="hidden" name="z_date_time[]" value="=,','">=
&nbsp;</td>
		<td class="ewTableAltRow"><input type="text" name="x_date_time" value="<?php echo FormatDateTime(@$x_date_time,6); ?>">&nbsp;</td>
</tr>
<tr>
		<td class="ewTableHeader">Reason&nbsp;</td>
		<td class="ewTableAltRow">
<input type="hidden" name="z_reason[]" value="LIKE,'%,%'">LIKE
&nbsp;</td>
		<td class="ewTableAltRow"><input type="text" name="x_reason" size="30" maxlength="255" value="<?php echo htmlspecialchars(@$x_reason); ?>">&nbsp;</td>
</tr>
<tr>
		<td class="ewTableHeader">Playername&nbsp;</td>
		<td class="ewTableAltRow">
<input type="hidden" name="z_playername[]" value="LIKE,'%,%'">LIKE
&nbsp;</td>
		<td class="ewTableAltRow"><input type="text" name="x_playername" size="30" maxlength="30" value="<?php echo htmlspecialchars(@$x_playername); ?>">&nbsp;</td>
</tr>
</table>
<p>
<input type="submit" name="Action" value="Search">
</form>
<?php include ("includes/footer.php") ?>
<?php
mysql_close($conn);
?>
